# how to build
```
g++ build.cpp -o build
./build
or 
./build run
or
./build cla build web // first clear all then build for web
```

# Code style

## Naming Conventions:
- PascalCase: 
  - Functions
  - Class names
  - Struct names

- camelCase: 
  - Class attributes
  - Class methods
  - Struct attributes
  - Variables

## Class Structure:

- Header (.h) Files:
  - Declare public methods and attributes first, followed by private members.
- Implementation (.cpp) Files:
  - Implement methods in the same order as declared in the corresponding header file.

## Include order
  - Std
  - local ( form inc dir )
  - external raylib